[HOME] [DOWNLOAD] [DOCS] [NEWS] [SUPPORT] [TIPS] [ISSUES] [CONTRIBUTE] [DONATE]

Electrum update

Hello community,

when i run that command to upgrade Electrum:

Blockquote sudo apt install --install-recommends electrum
output is:

Blockquote reading package lists… Done
Building dependency tree… Done
Reading state information… Done
electrum is already the newest version (4.0.9-1).
electrum set to manually installed.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

but when i run Electrum wallet it says that there is new update available which is : 4.2.1

how to solve it please?

I also don’t understand why I don’t have the latest version which is 4.2.2

Tried to update && upgrade but stuck to the oldest version.

Because whonix using the package which is shipped by debian:

So whenever there is an upgrade from debian then whonix going to get it.

2 Likes

Prerequisite knowledge: refer to the Frozen Packages entry in the Operating System Software and Updates chapter.

About the electum update notification, a new wiki chapter was written just now, see:
Application Specific Update Indicators

Specifically on electrum version numbers:
https://www.whonix.org/wiki/Electrum#Version_Numbers

Generic instructions to install a newer software versions, updated just now:
https://www.kicksecure.com/wiki/Install_Software#Install_Newer_Software_Versions

These specific instructions on how to manually install a newer version of electrum (if you still need after reading all of above):

(Whonix is based on Kicksecure.)

1 Like
[Imprint] [Privacy Policy] [Cookie Policy] [Terms of Use] [E-Sign Consent] [DMCA] [Contributors] [Investors] [Priority Support] [Professional Support]